Bug 1026604 - [abrt] abrt-addon-ccpp-2.1.9-1.fc19: strcpy: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] abrt-addon-ccpp-2.1.9-1.fc19: strcpy: Process /usr/bin/python2.7 was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80f0426b0b52011fb7c46a34bfa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 22:39 EST by mdmpsyd@gmail.com
Modified: 2015-02-17 14:03 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:03:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (126.50 KB, text/plain)
2013-11-04 22:39 EST, mdmpsyd@gmail.com
no flags Details
File: cgroup (157 bytes, text/plain)
2013-11-04 22:39 EST, mdmpsyd@gmail.com
no flags Details
File: core_backtrace (13.61 KB, text/plain)
2013-11-04 22:39 EST, mdmpsyd@gmail.com
no flags Details
File: dso_list (727 bytes, text/plain)
2013-11-04 22:39 EST, mdmpsyd@gmail.com
no flags Details
File: environ (359 bytes, text/plain)
2013-11-04 22:39 EST, mdmpsyd@gmail.com
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-04 22:39 EST, mdmpsyd@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 22:40 EST, mdmpsyd@gmail.com
no flags Details
File: maps (3.89 KB, text/plain)
2013-11-04 22:40 EST, mdmpsyd@gmail.com
no flags Details
File: open_fds (420 bytes, text/plain)
2013-11-04 22:40 EST, mdmpsyd@gmail.com
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2013-11-04 22:40 EST, mdmpsyd@gmail.com
no flags Details
File: var_log_messages (1.39 KB, text/plain)
2013-11-04 22:40 EST, mdmpsyd@gmail.com
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2013-11-04 22:39:24 EST
Version-Release number of selected component:
abrt-addon-ccpp-2.1.9-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/python -u /usr/bin/abrt-action-list-dsos -m maps -o dso_list
crash_function: strcpy
executable:     /usr/bin/python2.7
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcpy at ../sysdeps/x86_64/multiarch/strcpy-ssse3.S:98
 #2 find_module at /usr/src/debug/Python-2.7.5/Python/import.c:1550
 #3 import_submodule at /usr/src/debug/Python-2.7.5/Python/import.c:2689
 #4 load_next at /usr/src/debug/Python-2.7.5/Python/import.c:2515
 #5 import_module_level at /usr/src/debug/Python-2.7.5/Python/import.c:2224
 #6 PyImport_ImportModuleLevel at /usr/src/debug/Python-2.7.5/Python/import.c:2288
 #7 builtin___import__ at /usr/src/debug/Python-2.7.5/Python/bltinmodule.c:49
 #8 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #9 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.5/Python/ceval.c:3967
 #10 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2407
Comment 1 mdmpsyd@gmail.com 2013-11-04 22:39:36 EST
Created attachment 819484 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2013-11-04 22:39:39 EST
Created attachment 819485 [details]
File: cgroup
Comment 3 mdmpsyd@gmail.com 2013-11-04 22:39:43 EST
Created attachment 819486 [details]
File: core_backtrace
Comment 4 mdmpsyd@gmail.com 2013-11-04 22:39:47 EST
Created attachment 819487 [details]
File: dso_list
Comment 5 mdmpsyd@gmail.com 2013-11-04 22:39:51 EST
Created attachment 819488 [details]
File: environ
Comment 6 mdmpsyd@gmail.com 2013-11-04 22:39:56 EST
Created attachment 819489 [details]
File: exploitable
Comment 7 mdmpsyd@gmail.com 2013-11-04 22:40:00 EST
Created attachment 819490 [details]
File: limits
Comment 8 mdmpsyd@gmail.com 2013-11-04 22:40:05 EST
Created attachment 819491 [details]
File: maps
Comment 9 mdmpsyd@gmail.com 2013-11-04 22:40:09 EST
Created attachment 819492 [details]
File: open_fds
Comment 10 mdmpsyd@gmail.com 2013-11-04 22:40:13 EST
Created attachment 819493 [details]
File: proc_pid_status
Comment 11 mdmpsyd@gmail.com 2013-11-04 22:40:17 EST
Created attachment 819494 [details]
File: var_log_messages
Comment 12 Jakub Filak 2013-11-05 05:06:54 EST
Thank you for the report!

The crash happened while python was importing a built-in module. This fact makes me believe that this report is a bug in python itself. Reassignig from abrt to python.
Comment 13 Fedora End Of Life 2015-01-09 15:28:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 14:03:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.